Create Shipping Rate
curl --request POST \
--url https://api.vellaro.io/api/v1/admin/shipping/rates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"geo_zone_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"rate": 123,
"courier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"min_weight_kg": "0",
"max_weight_kg": 123,
"sort_order": 0,
"is_active": true
}
'import requests
url = "https://api.vellaro.io/api/v1/admin/shipping/rates"
payload = {
"geo_zone_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"rate": 123,
"courier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"min_weight_kg": "0",
"max_weight_kg": 123,
"sort_order": 0,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
geo_zone_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
rate: 123,
courier_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
min_weight_kg: '0',
max_weight_kg: 123,
sort_order: 0,
is_active: true
})
};
fetch('https://api.vellaro.io/api/v1/admin/shipping/rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geo_zone_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"courier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"rate": "<string>",
"min_weight_kg": "<string>",
"max_weight_kg": "<string>",
"sort_order": 123,
"is_active": true,
"geo_zone_name": "<string>",
"courier_name": "<string>"
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}admin:shipping
Create Shipping Rate
Admin: create a zone rate.
POST
/
api
/
v1
/
admin
/
shipping
/
rates
Create Shipping Rate
Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
⌘I